List AI screening assistants
GET
/v1/ai-assistants
const url = 'https://api.caller9.app/v1/ai-assistants';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.caller9.app/v1/ai-assistants \ --header 'Authorization: Bearer <token>'Lists the platform’s curated AI assistants available for AI call screening, sorted by name. Set a studio’s ai_assistant_id to an assistant’s telnyx_assistant_id to use it for AI screening. Not organization-specific.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Available assistants.
Media typeapplication/json
object
ai_assistants
required
Array<object>
object
guid
required
Assistant ID.
string
telnyx_assistant_id
required
The value to use as a studio’s ai_assistant_id.
string
name
required
string
description
required
string
Example generated
{ "ai_assistants": [ { "guid": "example", "telnyx_assistant_id": "example", "name": "example", "description": "example" } ]}Missing, invalid, expired or revoked API key.
Media typeapplication/json
object
error
required
Human-readable error message.
string
code
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
string
Example generated
{ "error": "example", "code": "example"}Too many requests for this API key. Retry after Retry-After seconds.
Media typeapplication/json
object
error
required
Human-readable error message.
string
code
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
string
Example generated
{ "error": "example", "code": "example"}Headers
Section titled “Headers”Retry-After
integer
Seconds until the rate-limit window resets.